package com.adc.da.vdaims.util;

import com.adc.da.vdaims.webservice.vinupload.IVinUploadService;
import org.apache.cxf.jaxws.JaxWsProxyFactoryBean;

import static com.adc.da.vdaims.consts.CommConstant.VIN_UPLOAD_WEB_SERVICE_URL;

public class WebServiceUtil {
    private static JaxWsProxyFactoryBean factory = null;

    private static IVinUploadService vinUploadService;

    static JaxWsProxyFactoryBean getJaxWsProxyFactoryBean() {
        if (factory == null) {
            factory = new JaxWsProxyFactoryBean();
        }
        return factory;
    }

    public static IVinUploadService getIVinUploadService() {
        if (vinUploadService == null) {
            getJaxWsProxyFactoryBean().setServiceClass(IVinUploadService.class);
            getJaxWsProxyFactoryBean().setAddress(VIN_UPLOAD_WEB_SERVICE_URL);
            vinUploadService = (IVinUploadService) getJaxWsProxyFactoryBean().create();
        }
        return vinUploadService;
    }
}
